# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Summary:	What modules shipped with versions of perl
Name:		perl-Module-CoreList
Epoch:		1
Version:	2.61
Release:	1.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Module-CoreList/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BI/BINGOS/Module-CoreList-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildRequires:	perl(ExtUtils::MakeMaker), perl(Test::Pod)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
BuildArch:	noarch

%description
Module::CoreList - what modules shipped with versions of perl.

%prep
%setup -q -n Module-CoreList-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%clean
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} ';' 2>/dev/null
chmod -R u+w %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README*
%{_bindir}/corelist
%{perl_vendorlib}/Module/
%{_mandir}/man1/corelist.1*
%{_mandir}/man3/Module::CoreList.3pm*

%changelog
* Tue Feb 21 2012 Paul Howarth <paul@city-fan.org> 1:2.61-1
- Update to 2.61
  - Updated for v5.15.8

* Fri Jan 20 2012 Paul Howarth <paul@city-fan.org> 1:2.60-1
- Update to 2.60
  - Updated for v5.15.7

* Wed Dec 21 2011 Paul Howarth <paul@city-fan.org> 1:2.59-1
- Update to 2.59
  - Updated for v5.15.6

* Mon Nov 21 2011 Paul Howarth <paul@city-fan.org> 1:2.58-1
- Bump epoch to match Fedora perl package (#754641)

* Mon Nov 21 2011 Paul Howarth <paul@city-fan.org> 2.58-1
- Update to 2.58
  - Updated for v5.15.5

* Fri Oct 21 2011 Paul Howarth <paul@city-fan.org> 2.57-1
- Update to 2.57
  - Updated for v5.15.4

* Wed Sep 21 2011 Paul Howarth <paul@city-fan.org> 2.56-1
- Update to 2.56
  - Updated for v5.15.3
  - Corrected version of Module::CoreList shipped with v5.10.0
  - Corrected Errno being shipped with v5.6.0 and v5.6.1
  - Corrected VMS::Filespec being shipped with v5.12.3
  - Corrected DB_File being shipped with v5.8.2
  - Added http://perlpunks.de/corelist to SEE ALSO

* Sun Aug 21 2011 Paul Howarth <paul@city-fan.org> 2.55-1
- Update to 2.55
  - Updated for v5.15.2

* Thu Jul 21 2011 Paul Howarth <paul@city-fan.org> 2.54-2
- Rebuild for perl 5.14.1 in Rawhide

* Thu Jul 21 2011 Paul Howarth <paul@city-fan.org> 2.54-1
- Update to 2.54
  - Updated for v5.15.1

* Thu Jul 14 2011 Paul Howarth <paul@city-fan.org> 2.53-1
- Update to 2.53
  - Added release date option '-r' to corelist
- Fix dist tag for CentOS 6 and Scientific Linux

* Tue Jul  5 2011 Paul Howarth <paul@city-fan.org> 2.52-1
- Update to 2.52
  - Extraneous modules listed (CPAN RT#69108)

* Tue Jun 21 2011 Paul Howarth <paul@city-fan.org> 2.51-1
- Update to 2.51
  - Updated for v5.12.4, v5.14.1 and v5.15.0
- This release by BINGOS -> update source URL

* Sun May 15 2011 Paul Howarth <paul@city-fan.org> 2.49-1
- Update to 2.49
  - Updated for 5.14.0
- Nobody else likes macros for commands

* Mon Mar 21 2011 Paul Howarth <paul@city-fan.org> 2.46-1
- Update to 2.46
  - Sanity check values before doing ->isa on them (CPAN RT#59511)
  - Updated for 5.13.11

* Mon Feb 21 2011 Paul Howarth <paul@city-fan.org> 2.45-1
- Update to 2.45 (updated for 5.13.10)

* Sun Jan 23 2011 Paul Howarth <paul@city-fan.org> 2.44-1
- Update to 2.44 (updated for 5.12.3, merged 5.12.3 and 5.13.9)

* Mon Dec 20 2010 Paul Howarth <paul@city-fan.org> 2.42-1
- Update to 2.42 (updated for 5.13.8)

* Mon Nov 22 2010 Paul Howarth <paul@city-fan.org> 2.41-1
- Update to 2.41 (updated for 5.13.7)

* Thu Oct 21 2010 Paul Howarth <paul@city-fan.org> 2.40-1
- Update to 2.40 (updated for 5.13.6)

* Mon Sep 20 2010 Paul Howarth <paul@city-fan.org> 2.39-1
- Update to 2.39 (updated for 5.13.5)

* Tue Sep  7 2010 Paul Howarth <paul@city-fan.org> 2.38-1
- Update to 2.38 (updated for 5.12.2)

* Mon Aug 23 2010 Paul Howarth <paul@city-fan.org> 2.37-1
- Update to 2.37
  - Updated for 5.13.4
  - Remove 'Filespec' module (never in core, should have been 'VMS::Filespec')

* Wed Jul 21 2010 Paul Howarth <paul@city-fan.org> 2.36-1
- Update to 2.36 (updated for 5.13.3)

* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> 2.35-1
- Update to 2.35 (updated for 5.13.2)

* Fri May 21 2010 Paul Howarth <paul@city-fan.org> 2.34-1
- Update to 2.34 (updated for 5.13.1)

* Mon May 17 2010 Paul Howarth <paul@city-fan.org> 2.33-1
- Update to 2.33
  - Format Perl versions >= 5.6.0 as X.Y.Z (CPAN RT#56740)
  - Amend functional interface to make calling conventions consistent
  - Document all functions and all hash structures
  - Fix functions with edge-case involving querying for Module::CoreList itself
  - Add removed_from() and removed_from_by_date() functions
  - Amend corelist utility to use new removed from functions
  - Add tests to the testsuite to cover the edge-cases and new functions

* Wed Apr 21 2010 Paul Howarth <paul@city-fan.org> 2.31-1
- Update to 2.31 (updated for 5.13.0)

* Tue Apr 13 2010 Paul Howarth <paul@city-fan.org> 2.29-1
- Update to 2.29 (updated for 5.12.0)

* Mon Feb 22 2010 Paul Howarth <paul@city-fan.org> 2.26-1
- Update to 2.26 (updated for 5.11.5)
- New upstream maintainer -> new source URL

* Thu Jan 21 2010 Paul Howarth <paul@city-fan.org> 2.25-1
- Update to 2.25 (updated for 5.11.4)
- New upstream maintainer -> new source URL

* Tue Dec 22 2009 Paul Howarth <paul@city-fan.org> 2.24-1
- Update to 2.24 (updated for 5.11.3)

* Sat Nov 21 2009 Paul Howarth <paul@city-fan.org> 2.23-1
- Update to 2.23 (updated for 5.11.2)
- Dist tag for Rawhide no longer needs special-casing

* Thu Oct 22 2009 Paul Howarth <paul@city-fan.org> 2.22-1
- Update to 2.22 (add is_deprecated function and %%deprecated hash)
- New upstream maintainer -> new source URL

* Sat Oct  3 2009 Paul Howarth <paul@city-fan.org> 2.20-1
- Update to 2.20:
  - Update for perl 5.11.1
  - Make Module::Corelist recognise $] as a version number on 5.11.0

* Tue Aug 25 2009 Paul Howarth <paul@city-fan.org> 2.18-1
- Update to 2.18:
  - Update for perl 5.10.1
  - Remove %%patchlevel hash (now that perl uses git and not perforce)
  - Add %%upstream and %%bug_tracker data (Nicholas Clark)
- Define RPM macros in global scope

* Thu Jan 22 2009 Paul Howarth <paul@city-fan.org> 2.17-1
- Update to 2.17

* Thu Nov 13 2008 Paul Howarth <paul@city-fan.org> 2.15-2
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Wed Apr  2 2008 Paul Howarth <paul@city-fan.org> 2.15-1
- Update to 2.15

* Tue Mar 18 2008 Paul Howarth <paul@city-fan.org> 2.14-1
- Update to 2.14

* Thu Dec 20 2007 Paul Howarth <paul@city-fan.org> 2.13-1
- Update to 2.13
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)

* Thu Jul 12 2007 Paul Howarth <paul@city-fan.org> 2.12-1
- Update to 2.12

* Fri May 11 2007 Paul Howarth <paul@city-fan.org> 2.11-1
- Update to 2.11

* Thu May 10 2007 Paul Howarth <paul@city-fan.org> 2.10-1
- Update to 2.10
- Fix dist tag for Fedora 7 onwards
- BuildRequire perl(ExtUtils::MakeMaker) and perl(Test::Pod)

* Thu Oct  5 2006 Paul Howarth <paul@city-fan.org> 2.09-1
- Update to 2.09
- Fix argument order for find with -depth

* Fri Sep  8 2006 Paul Howarth <paul@city-fan.org> 2.08-1
- Update to 2.08

* Fri Sep  1 2006 Paul Howarth <paul@city-fan.org> 2.07-2
- Fix distribution tags for development releases

* Thu Aug 10 2006 Paul Howarth <paul@city-fan.org> 2.07-1
- Update to 2.07

* Thu Aug  3 2006 Paul Howarth <paul@city-fan.org> 2.06-1
- Update to 2.06

* Wed Jun  7 2006 Paul Howarth <paul@city-fan.org> 2.05-1
- Update to 2.05

* Fri Feb  3 2006 Paul Howarth <paul@city-fan.org> 2.04-1
- Update to 2.04

* Thu Feb  2 2006 Paul Howarth <paul@city-fan.org> 2.03-1
- Update to 2.03
- Simplify distribution-detection
- Remove __perl_version macro, used only once
- Remove __perl_package macro, used only twice
- Remove perl_vendorarch macro, never used in noarch package
- Use search.cpan.org URLs
- Don't set compiler optimization flags for noarch package
- Remove buildroot unconditionally in %%clean and %%install
- Don't use macros in build-time command paths, hardcode them instead
- Ensure required directories are owned

* Fri Jun  3 2005 Paul Howarth <paul@city-fan.org> 2.02-1
- Update to 2.02
- Fix License and Group

* Wed May 18 2005 Paul Howarth <paul@city-fan.org> 2.01-1
- Update to 2.01
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Fri Apr 15 2005 Paul Howarth <paul@city-fan.org> 2.00-1
- Update to 2.00
- Use conventional module build process instead of Module::Build

* Wed Feb  9 2005 Paul Howarth <paul@city-fan.org> 1.98-1
- Update to 1.98

* Wed Oct 27 2004 Paul Howarth <paul@city-fan.org> 1.97-1
- Update to 1.97
- Tidy up spec file

* Mon May 10 2004 Paul Howarth <paul@city-fan.org> 1.93-1
- Initial build
